summaryrefslogtreecommitdiff
path: root/update-cleansystem
diff options
context:
space:
mode:
Diffstat (limited to 'update-cleansystem')
-rwxr-xr-xupdate-cleansystem24
1 files changed, 24 insertions, 0 deletions
diff --git a/update-cleansystem b/update-cleansystem
new file mode 100755
index 0000000..d4ad943
--- /dev/null
+++ b/update-cleansystem
@@ -0,0 +1,24 @@
+#!/bin/bash
+# Updates the cleansystem file
+# Creates a fake Parabola root and prints all packages installable from base
+# and base-devel plus extras
+
+set -E
+
+if [ ! -w / ]; then
+ echo "Run as root."
+ exit 1
+fi
+
+tmpdir=/tmp/cleansystem.${RANDOM}
+
+mkdir -p ${tmpdir}/var/lib/pacman
+
+# We sync first because updating info gets printed to stdout too
+pacman -r ${tmpdir} --config /etc/pacman.conf -Sy
+pacman -r ${tmpdir} \
+ --config /etc/pacman.conf \
+ -Sp --print-format "%n" \
+ base base-devel ${@} | sort > $(dirname $0)/cleansystem
+
+exit $?